Subject: Re: [tcpm] Feedback on WG acceptance of draft-bensley-tcpm-dctcp-03

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Mon, 18 May 2015 09:12:28 +0000

Hi all,

There have not been many responses to this e-mail. The chairs therefore conclude that there is not enough support for adoption of draft-bensley-tcpm-dctcp-03 as TCPM WG item as of now.

Since the TCPM community seems interested in further discussing this topic, the chairs would offer to allocate time for corresponding discussions during upcoming TCPM meetings.

Thanks

Michael, Pasi, Yoshifumi

PS: We recently found one possibly interesting study on operational experience: https://www.usenix.org/system/files/conference/nsdi15/nsdi15-paper-judd.pdf

> -----Original Message-----
> From: tcpm [mailto:[email-masked]] On Behalf Of Scharf, Michael
> (Michael)
> Sent: Wednesday, April 22, 2015 10:54 AM
> To: [email-masked]
> Subject: [tcpm] Feedback on WG acceptance of draft-bensley-tcpm-dctcp-
> 03
> 
> Dear all,
> 
> During IETF 89 [1] and on the list there has been a discussion about WG
> adoption of draft-bensley-tcpm-dctcp [2]. The understanding of the
> chairs is that there is no clear consensus up to now.
> 
> In order to move forward, the chairs seek for community guidance
> regarding the following options to handle this draft:
> 
> a) Adopt in TCPM as Informational
> 
> b) Adopt in TCPM as Experimental
> 
> c) Do not adopt in TCPM now
> 
> Option c) does not prevent publication outside TCPM, such as
> publication by another working group (e.g., TSVWG), publication on
> Independent Stream, etc.
> 
> The TCPM chairs believe that adoption of alternative congestion control
> algorithms in TCPM should be backed by a strong consensus. Please also
> review [3] and [4] regarding the difference between Experimental and
> Informational.
> 
> Please let us know any feedback on a potential WG acceptance of draft-
> bensley-tcpm-dctcp-03 until May 8.
> 
> Thanks!
> 
> Michael, Pasi, Yoshifumi
> 
> 
> [1] http://www.ietf.org/proceedings/89/minutes/minutes-89-tcpm
> 
> [2] https://tools.ietf.org/html/draft-bensley-tcpm-dctcp-03
> 
> [3] RFC 2026, Section 4.2.1, 4.2.2
> 
> [4] https://www.ietf.org/iesg/informational-vs-experimental.html
> 
> _______________________________________________
> tcpm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tcpm

---

From: "Eggert, Lars" <[email-masked]>
Date: Mon, 18 May 2015 11:10:03 +0000

Hi,

> There have not been many responses to this e-mail. The chairs therefore conclude that there is not enough support for adoption of draft-bensley-tcpm-dctcp-03 as TCPM WG item as of now.

thanks, we'll investigate the IRTF or Independent stream then. The document is ready to go from our side.

> Since the TCPM community seems interested in further discussing this topic, the chairs would offer to allocate time for corresponding discussions during upcoming TCPM meetings.

I don't want to sound snarky, but it seems at odds that the WG isn't interested enough to publish the document, but still wants to discuss the topic. Personally, my interest in discussing this further with a group that doesn't want to take on the document is now pretty low.

Lars

---

From: Mirja Kühlewind <[email-masked]>
Date: Fri, 22 May 2015 11:40:50 +0200

Hi,

sorry I’ve overlooked the initial email on this. Similar as Gorry and Richard, I think this document should be published as information (as the document currently states its indented status) and there is the expertise in tcpm to review this document. Therefore I'm in favor of adopting this as a woking document. As think as this document ‚only‘ documents existing and deployed technology, there is only some reviews needed to ensure that the document is well readable and complete. Therefore there should be basically no technical discussion needed and I believe that we could move forward quickly within tcpm.

If the document will be adopted in tcp, I’d also volunteer to review. Btw., as a comment to the authors, in the last version I’ve read, loss handling was not discussed. I think this should be added; please see the linux kernel code for this. And that's actually another point. I believe this document mainly documents what is implemented in Windows. As there is an implementation as part of the Linux kernel in the mean time, maybe the author should check this implementation as well or make clear what exactly is document in this draft.

Mirja

> Am 18.05.2015 um 11:12 schrieb Scharf, Michael (Michael) <[email-masked]>:
> 
> Hi all,
>